#!/usr/bin/perl
#
#
#
#


use strict;

use Doctaur_libs::Insert_parts;
my $ins_obj = Insert_parts->open();


$ins_obj->insert_all_behind_body();
$ins_obj->insert_title('Installation & system configuration');

print qq!
                    </TD></TR>
                    <TR><TD CLASS="main"  COLSPAN="4">
                                        <BR>
                    
                    <TABLE CELLPADDING=0 CELLSPACING=0>
                        <TR>
                            <TD COLSPAN=3>
                                <B><BIG>Installation instructions</BIG></B>
                                <BR><BR>
                            </TD>
                        </TR>
                        <TR>
                            <TD width=10>&nbsp;</TD>
                            <TD COLSPAN=2>
                                Installation of DocTaur is quite easy, but you should be able to configure your web-server,
                                or at least you have to know, where your web-server "documents root" and "cgi-bin" directories are located.
                                <BR><BR>
                            </TD>
                        </TR>
                        <TR>
                            <TD width=10>&nbsp;</TD>
                            <TD COLSPAN=2>
                                <A NAME="prerequisities"></a><B>Prerequisities</B><BR>
                            </TD>
                        </TR>
                        <TR>
                            <TD width=10>&nbsp;</TD>
                            <TD width=10>&nbsp;</TD>
                            <TD>
                                Linux (tested on <a href="http://www.redhat.com">RedHat</a> 7.3, 8, 9)<BR>
                                web-server  (tested on <A HREF="http://www.apache.org">Apache</A> 1.3)<BR>
                                <A HREF="http://www.perl.com">Perl</A> (tested with Perl 5.6, 5.8)
                                <BR><BR>
                            </TD>
                        </TR>

                        <TR>
                            <TD width=10>&nbsp;</TD>
                            <TD COLSPAN=2>
                                <B>Installation</B><BR>
                            </TD>
                        </TR>
                        <TR>
                            <TD width=10>&nbsp;</TD>
                            <TD width=10>&nbsp;</TD>
                            <TD>
                                <OL>
                                    <LI>
                                        You should know where you would like to install doctaur and where it will be accessible. You need main directory to install DocTaur to (Ex: /document_root/doctaur) and cgi-bin directory for executable files (Ex: /document_root/doctaur/cgi-bin). <br />
                                        Configure your apache.<br />
                                        Example of apache configuration:<br />
                                        &nbsp;&nbsp;&nbsp;ScriptAlias /doctaur/cgi-bin/ "/documentroot/doctaur/cgi-bin/"<br />
                                        <small>(if you are using mod_perl, you also should set the option "PerlSendHeader On")</small>
                                    </LI>
                                    <LI>
                                        <A HREF="http://www.doctaur.com/cgi-bin/intranet_version.pl">Download last version of DocTaur.</A>
                                    </LI>
                                    <LI>
                                        Change directory where you have saved archive to and extract it by command: 'tar -xzf doctaur-1.x.x.tar.gz' .
                                    </LI>
                                    <LI>
                                        Change dir by command: 'cd doctaur' .
                                    </LI>
                                    <LI>
                                        Run the installation script by command: '<B>./install.sh</B>' .
                                    </LI>
                                    <LI>
                                        Follow instructions of the installation script.
                                    </LI>
                                </OL>
                                <BR>
                            </TD>
                        </TR>
                </TABLE>

                    
!;

$ins_obj->insert_foot();
